# Test: Compound trigger with invalid format
# Expected: FAIL
# Error code: custom
# Error path: agent.menu[0].trigger
# Error message: agent.menu[].trigger compound format error: invalid compound trigger format

agent:
  metadata:
    id: compound-invalid-format
    name: Invalid Format
    title: Invalid Format Test
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: TS or tech-spec
      description: Missing fuzzy match clause
      action: test
